org.apache.cassandra.tools.nodetool.stats

## Interface StatsPrinter<T extends StatsHolder>

Type Parameters:
  `T` - Stats property bad type

All Known Implementing Classes:
  CompactionHistoryPrinter.DefaultPrinter, StatsPrinter.JsonPrinter, StatsPrinter.YamlPrinter, TpStatsPrinter.DefaultPrinter

    public interface StatsPrinter<T extends StatsHolder>

Interface for the Stats printer, that'd output statistics given the `StatsHolder`

### Nested Class Summary

Nested Classes
`static class` `StatsPrinter.JsonPrinter<T extends StatsHolder>`
`static class` `StatsPrinter.YamlPrinter<T extends StatsHolder>`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `print(T data, java.io.PrintStream out)`

### Method Detail

#### print

    void print(T data,
               java.io.PrintStream out)